/* HOME PAGE */
.navbar {
  position: fixed;
  width: 100%;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 30px;
  box-sizing: border-box;
  background-color: #ffffff;
}

.navbar .menu {
  display: flex;
  gap: 40px;
  list-style: none;
}

.navbar .menu a {
  text-decoration: none;
  color: black;
  font-weight: 500;
  font-size: 15px;
  letter-spacing: 0.1rem;
}

.navbar .logo img {
  width: 40px;
  height: auto;
}


.hero {
  height: 100vh;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding: 200px 50px 0 50px;
  height: auto;
}

.hero-left {
  max-width: 50%;
}

.hero-right img {
  max-width: 60%;
  height: auto;
  padding: 0px 50px
}

/* Home-about Section */
.about {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}

.about-left img {
  max-width: 60%;
}


.about-right {
  max-width: 60%;
  height: auto;
  padding: 10px 10px 10px 10px;
}

.about-right p {
  text-align: left;
  margin-left: 100;
}

/* Home-services Section */
.services-list {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 2rem;
  justify-items: center;

}

.service-item {
  text-align: center;
  max-width: 300px;
  word-wrap: break-word;
  margin: 0 auto;
}


.service-item img {
  width: 100%;
  max-width: 200px;
  height: auto;

}

.service-box {
  height: 300px;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;

}

img#magazine {
  max-width: 500px;
}



/* Home-works Section  */
.work-list {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 2rem;
  justify-items: center;
}

.work-item img {
  width: 100%;
  max-width: 400px;
  height: auto;

}

.works .view-more {
  color: #29465A;
  display: inline-block;
  text-align: center;
  margin: 2rem auto 0 auto;
}

/* Footer Section  */
.footer-header {
  text-align: center;
}

.footer {
  text-align: center;
  margin: 0;
  padding: 2rem 0;
  justify-content: space-between;
  background: linear-gradient(to right, #EEEADB, #1C4560);
}

.footer .footer-header h2,
.footer .footer-header .subtitle {
  margin: 0.5rem 0;
}

.footer .social-icons {
  margin: 3rem 0;
}

.footer .social-icons a {
  display: inline-block;
  margin: 0 1.5rem;
}

.footer .social-icons a img {
  width: 40px;
  height: auto;
}

.footer .copyright {
  font-size: 0.7rem;

}

/* 2. WORKS PAGE */

.project-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
  justify-items: center;
}

.project-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.project-box {
  width: 500px;
  height: 500px;
  border: 2px solid rgba(217, 217, 217, 0.2);
  border-radius: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  margin-bottom: 1rem;
}

.project-box img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}



/* 3. CONTACT PAGE */
.contact-content {
  display: flex;
  flex-direction: row;
  justify-content: center;
  padding: 50px 50px 200px 50px;
}


.contact-image img {
  width: 75%;
  height: auto;
}

.contact-form {
  width: 50%;
  border-radius: 8px;
  padding: 32px;
  display: flex;
  flex-direction: column;
}

.contact-form .form-row {
  display: flex;
  gap: 1rem;
  margin-bottom: 1rem;
}

.contact-form .form-row label {
  display: flex;
  align-items: center;
  gap: 10px;
  justify-content: flex-start;
  white-space: nowrap;
}

.contact-form button {
  width: 50%;
  margin-left: auto;
  display: block;
}